Subject: bug#75746: 31.0.50; Can't get password promote from plink 0.82

From: Michael Albinus <[email-masked]>
Date: Mon, 27 Jan 2025 08:59:32 +0100

"孙曙光(Sun Shuguang)" <[email-masked]> writes:

Hi Shuguang,

>> Could you pleas show the output of the two commands in a cmd.exe
>> window?
>> With and without the "&& exit || exit" tail.
>
> For command with `-l username`, the output is ` [email-masked]'s password:`.
> For command without `-l username` the output is ` login as:`.
>
> It is the same with or without the "&& exit || exit" tail.

Thanks, this looks proper. Could you please call Emacs like "emacs -Q
--eval '(setq tramp-verbose 10)'"? Try to connect via plink. If it hangs
or runs into the timeout, send the resulting Tramp debug buffer "*debug
tramp/plink 192.168.x.x*" or "*debug tramp/plink [email-masked]*".

> BR
> Shuguang

Best regards, Michael.